[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [patch] xsfbs for emdebian / busybox



On Sat, 20 Dec 2008 20:41:49 +0800
Wen-Yen Chuang <caleb@calno.com> wrote:

> Neil Williams, my sponsor, found that certain features of xsfbs are not
> compatible with busybox shell.
> 

Patch attached.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

--- xorg.old/debian/xsfbs/xsfbs.sh	Mon Jul 14 15:12:16 2008
+++ /opt/emdebian/trunk/x/xorg/trunk/xorg-7.3+14/debian/xsfbs/xsfbs.sh	Mon Jul 14 15:15:05 2008
@@ -141,7 +141,7 @@
 message () {
   # pretty-print messages of arbitrary length
   reject_nondigits "$COLUMNS"
-  echo "$*" | fmt -t -w ${COLUMNS:-$DEFCOLUMNS} >&2
+  echo "$*" 
 }
 
 observe () {
@@ -734,7 +734,7 @@
   ldsoconf="/etc/ld.so.conf"
 
   # is the line not already present?
-  if ! fgrep -qsx "$dir" "$ldsoconf"; then
+  if ! fgrep -qs "$dir" "$ldsoconf"; then
     observe "adding $dir directory to $ldsoconf"
     echo "$dir" >> "$ldsoconf"
   fi
@@ -756,14 +756,14 @@
   ldsoconf="/etc/ld.so.conf"
 
   # is the line present?
-  if fgrep -qsx "$dir" "$ldsoconf"; then
+  if fgrep -qs "$dir" "$ldsoconf"; then
     # are there any shared objects in the directory?
     if [ "$(echo "$dir"/lib*.so.*.*)" = "$dir/lib*.so.*.*" ]; then
       # glob expansion produced nothing, so no shared libraries are present
       observe "removing $dir directory from $ldsoconf"
       # rewrite the file (very carefully)
       set +e
-      fgrep -svx "$dir" "$ldsoconf" > "$ldsoconf.dpkg-tmp"
+      fgrep -sv "$dir" "$ldsoconf" > "$ldsoconf.dpkg-tmp"
       fgrep_status=$?
       set -e
       case $fgrep_status in

Attachment: pgpgMSwH5nuX8.pgp
Description: PGP signature


Reply to: